Advertisement:

Author Topic: Beim Update auf 2.0.15 kam eine Fehlermeldung. Ignorieren?  (Read 201 times)

Offline Tina11

  • Semi-Newbie
  • *
  • Posts: 15
Beim Update auf 2.0.15 kam eine Fehlermeldung. Ignorieren?
« on: December 04, 2017, 05:56:41 AM »
Hallo,

ich habe gerade das Update von der 2.0.14 auf die 2.0.15 durchgeführt.
Dabei kam beim Vorab-Check eine Fehlermeldung für die ./Sources/ManageMembers.php.
Diese habe ich ignoriert und das Update trotzdem durchführen lassen. Es funktioniert soweit auch alles gut und normal.
Nun möchte ich aber doch mal wissen, ob ich die eine noch fehlende Änderung jetzt lieber nachträglich noch manuell durchführen soll.

Dieses hier:
Code: [Select]
if ($context['sub_action'] == 'query' && !empty($_REQUEST['params']) && empty($_POST))
$_POST += safe_unserialize(base64_decode($_REQUEST['params']));


Sollte mit diesem ersetzt werden:
Code: [Select]
if ($context['sub_action'] == 'query' && empty($_POST))
{
if (!empty($_REQUEST['params']))
{
$_POST += safe_unserialize(base64_decode($_REQUEST['params']));
}
elseif ($context['browser']['is_ie'] && !empty($_SESSION['params']))
{
$_POST += $_SESSION['params'];
unset($_SESSION['params']);
}
}


Bei mir im Theme (Reseller) sieht der zu ersetzende String aber so aus:
Code: [Select]
if ($context['sub_action'] == 'query' && !empty($_REQUEST['params']) && (empty($_POST) || ((isset($_POST['spammers_checks']) || isset($_POST['spammers_report'])) && !empty($_POST['delete']))))
$_POST += safe_unserialize(base64_decode($_REQUEST['params']));


Soll ich das lieber überschreiben? Welche Änderungen würde der neue String durchführen?
Oder können der alte und der neue String irgendwie zusammengefügt werden?

Grüße,
Tina